SuperLU: SRC/ilu_cdrop_row.c File Reference

SuperLU 7.0.0

Functions
ilu_cdrop_row.c File Reference

Drop small rows from L. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include "slu_cdefs.h"`
Include dependency graph for ilu_cdrop_row.c:

## Functions
void | cswap_ (int *, singlecomplex[], int *, singlecomplex[], int *)
void | caxpy_ (int *, singlecomplex *, singlecomplex[], int *, singlecomplex[], int *)
void | ccopy_ (int *, singlecomplex[], int *, singlecomplex[], int *)
void | scopy_ (int *, float[], int *, float[], int *)
float | scasum_ (int *, singlecomplex *, int *)
float | scnrm2_ (int *, singlecomplex *, int *)
double | dnrm2_ (int *, double[], int *)
int | icamax_ (int *, singlecomplex[], int *)
int | ilu_cdrop_row (superlu_options_t *options, int first, int last, double drop_tol, int quota, int *nnzLj, double *fill_tol, GlobalLU_t *Glu, float swork[], float swork2[], int lastc)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.1) --
    Lawrence Berkeley National Laboratory.
    June 30, 2009

## Function Documentation

## ◆ caxpy_()

void caxpy_ | ( | int * | ,
|  | singlecomplex * | ,
|  | singlecomplex | [],
|  | int * | ,
|  | singlecomplex | [],
|  | int * |
| ) |  |

## ◆ ccopy_()

void ccopy_ | ( | int * | ,
|  | singlecomplex | [],
|  | int * | ,
|  | singlecomplex | [],
|  | int * |
| ) |  |

## ◆ cswap_()

void cswap_ | ( | int * | ,
|  | singlecomplex | [],
|  | int * | ,
|  | singlecomplex | [],
|  | int * |
| ) |  |

## ◆ dnrm2_()

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ icamax_()

int icamax_ | ( | int * | ,
|  | singlecomplex | [],
|  | int * |
| ) |  |

## ◆ ilu_cdrop_row()

int ilu_cdrop_row | ( | superlu_options_t * | options,
|  | int | first,
|  | int | last,
|  | double | drop_tol,
|  | int | quota,
|  | int * | nnzLj,
|  | double * | fill_tol,
|  | GlobalLU_t * | Glu,
|  | float | swork[],
|  | float | swork2[],
|  | int | lastc
| ) |  |

    Purpose
    =======
       ilu_cdrop_row() - Drop some small rows from the previous
       supernode (L-part only).

## ◆ scasum_()

float scasum_ | ( | int * | ,
|  | singlecomplex * | ,
|  | int * |
| ) |  |

## ◆ scnrm2_()

float scnrm2_ | ( | int * | ,
|  | singlecomplex * | ,
|  | int * |
| ) |  |

## ◆ scopy_()

void scopy_ | ( | int * | ,
|  | float | [],
|  | int * | ,
|  | float | [],
|  | int * |
| ) |  |